import 'package:auth/src/features/link_phone/presentation/verify_code/verify_link_phone_code_screen.dart';
import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';
import 'package:get_it/get_it.dart';
import 'package:navigation/navigation.dart';

class VerifyLinkPhoneCodeBuilder {
  const VerifyLinkPhoneCodeBuilder();

  Page<void> buildPage(BuildContext context, GoRouterState state) {
    final NavigationContract navigationContract = GetIt.I<NavigationContract>();

    return MaterialPage<void>(
      key: state.pageKey,
      child: VerifyLinkPhoneCodeScreen(navigationContract: navigationContract),
    );
  }
}
